Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.forms.util
Class FOM_SimpleCocoon

    java.lang.Object
      org.mozilla.javascript.ScriptableObject
          org.apache.cocoon.forms.util.FOM_SimpleCocoon

All Implemented Interfaces:
  org.mozilla.javascript.ConstProperties, org.mozilla.javascript.debug.DebuggableObject, org.mozilla.javascript.Scriptable, Serializable

public class FOM_SimpleCocoon
extends org.mozilla.javascript.ScriptableObject

A simplified javascript cocoon object to use when using javaflow. In that case the cocoon object would not be accessible from definition javascript snippets.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.mozilla.javascript.ScriptableObject
`CONST, DONTENUM, EMPTY, PERMANENT, READONLY, UNINITIALIZED_CONST`

Fields inherited from interface org.mozilla.javascript.Scriptable
`NOT_FOUND`

Constructor Summary
`FOM_SimpleCocoon()`

Method Summary
`String` | `getClassName()`
`org.mozilla.javascript.Scriptable` | `getContext()`
`org.mozilla.javascript.Scriptable` | `getRequest()`
`org.mozilla.javascript.Scriptable` | `getResponse()`
`org.mozilla.javascript.Scriptable` | `getSession()`
`org.mozilla.javascript.Scriptable` | `jsGet_context()`
`org.mozilla.javascript.Scriptable` | `jsGet_parameters()` Get Sitemap parameters
`org.mozilla.javascript.Scriptable` | `jsGet_request()`
`org.mozilla.javascript.Scriptable` | `jsGet_response()`
`org.mozilla.javascript.Scriptable` | `jsGet_session()`
`void` | `setObjectModel(Map objectModel)`

Methods inherited from class org.mozilla.javascript.ScriptableObject
`associateValue, callMethod, callMethod, defineClass, defineClass, defineClass, defineConst, defineConstProperty, defineFunctionProperties, defineProperty, defineProperty, defineProperty, defineProperty, delete, delete, deleteProperty, deleteProperty, equivalentValues, get, get, getAllIds, getAssociatedValue, getAttributes, getAttributes, getAttributes, getAttributes, getClassPrototype, getDefaultValue, getDefaultValue, getFunctionPrototype, getGetterOrSetter, getIds, getObjectPrototype, getParentScope, getProperty, getProperty, getPropertyIds, getPrototype, getTopLevelScope, getTopScopeValue, has, has, hasInstance, hasProperty, hasProperty, isConst, isSealed, put, put, putConst, putConstProperty, putProperty, putProperty, redefineProperty, sealObject, setAttributes, setAttributes, setAttributes, setAttributes, setGetterOrSetter, setParentScope, setPrototype`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FOM_SimpleCocoon

    public FOM_SimpleCocoon()

Method Detail

### getClassName

    public String getClassName()

### jsGet_request

    public org.mozilla.javascript.Scriptable jsGet_request()

### jsGet_response

    public org.mozilla.javascript.Scriptable jsGet_response()

### jsGet_context

    public org.mozilla.javascript.Scriptable jsGet_context()

### jsGet_session

    public org.mozilla.javascript.Scriptable jsGet_session()

### jsGet_parameters

    public org.mozilla.javascript.Scriptable jsGet_parameters()

  Get Sitemap parameters

  Returns:
    a `Scriptable` value whose properties represent the Sitemap parameters from

### getSession

    public org.mozilla.javascript.Scriptable getSession()

### getRequest

    public org.mozilla.javascript.Scriptable getRequest()

### getContext

    public org.mozilla.javascript.Scriptable getContext()

### getResponse

    public org.mozilla.javascript.Scriptable getResponse()

### setObjectModel

    public void setObjectModel(Map objectModel)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2008 The Apache Software Foundation. All Rights Reserved.